import { jsx } from "react/jsx-runtime";
import { TokenDOGE as TokenDOGE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenDOGE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "DOGE", "data-name": "TokenDOGE", ...props, children: /* @__PURE__ */ jsx(TokenDOGE$1, { variant }) });
  }
);
TokenDOGE.displayName = "TokenDOGE";
Object.assign(TokenDOGE, { isGdsIcon: true });
export {
  TokenDOGE
};
